// TPitchLineGen.h
#ifndef _TPITCHLINEGEN_H_
#define _TPITCHLINEGEN_H_

#include "CFTTVector32.h"

/*
003237C8
vptr_TPitchLineRect_3237C8:
    TPitchLineGen::~TPitchLineGen()
    TPitchLineRect::~TPitchLineRect()
    TPitchLineRect::GetType(void)
    TPitchLineRect::Clamp(CFTTVector32)
    TPitchLineRect::Identical(TPitchLineGen *)
    TPitchLineRect::Render(void)
    TPitchLineRect::Transform(uchar)
    TPitchLineRect::Translate(CFTTVector32)
    TPitchLineRect::Valid(void)
    TPitchLineRect::Clone(void)

void (*)(TPitchLineGen* this)

*/

class TPitchLineGen {
public:
  virtual ~TPitchLineGen();
  virtual int GetType() = 0;
  virtual void Clamp(CFTTVector32) = 0;
  virtual bool Identical(TPitchLineGen*) = 0;
  virtual void Render() = 0;
  virtual void Transform(uchar) = 0;
  virtual void Translate(CFTTVector32) = 0;
  virtual bool Valid() = 0;
  virtual TPitchLineGen* Clone() = 0;
};

#endif  //_TPITCHLINEGEN_H_
